const path = require('path');
const ExtractTextPlugin = require('mini-css-extract-plugin');
const extractTextPlugin = new ExtractTextPlugin({
	filename: './assets/css/blocks.css'
});

module.exports = {
	mode: "production",
	entry: {
		'./assets/js/blocks': './inc/blocks/index.js',
	},
	output: {
		path: path.resolve(__dirname),
		filename: '[name].js',
	},
	watch: 'production' !== process.env.NODE_ENV,
	devtool: 'eval-cheap-module-source-map',
	module: {
		rules: [
			{
				test: /\.js$/,
				exclude: /(node_modules|bower_components)/,
				use: {
					loader: 'babel-loader',
				},
			},
			{
				test: /style\.s?css$/,
				use: [
					{ loader: 'raw-loader' },
					{
						loader: 'postcss-loader',
						options: {
							postcssOptions: {
								plugins: [
									[
										"postcss-preset-env",
									],
								],
							},
						},
					},
					{
						loader: 'sass-loader',
					},
				],
			},
		],
	},
	plugins: [
		extractTextPlugin,
	],
};
